Bug 834610 - fails to generate valid iptable rule for ssh
fails to generate valid iptable rule for ssh
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-firewall (Show other bugs)
17
i686 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Thomas Woerner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-22 10:52 EDT by Pascal Dupuis
Modified: 2013-08-01 08:52 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 08:52:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pascal Dupuis 2012-06-22 10:52:49 EDT
Description of problem: system-config-firewall fails to create a valid entry for a basic system where only ssh connections are allowed. The net result is a system which can not be reached at all, even if intended to. The only solution is to disable completelly the firewall. 

This can be verified by running "iptables -nL". With the firewall enabled, the default behaviour for the INPUT chain is DENY. 


Version-Release number of selected component (if applicable): Fedora first installed from XFCE live disk and updated. Got this problem on XFCE 16 i686; XFCE 16 X86_64 and XFCE 17 X86_64


How reproducible: always


Steps to Reproduce:
1. fire system-config-firewall, enable firewall; enable service ssh
2. click on apply
3.
  
Actual results: 
iptables -nL => nothing about ssh


Expected results:
Chain INPUT (policy ACCEPT)
...
ACCEPT tcp ... STATE:new dpt: 22
REJECT all ... (fallback rule, default behaviour)

Additional info: The correct result comes from a system installed from a LDXE  17 X86_64 live CD and updated
Comment 1 Jiri Popelka 2012-06-22 11:05:43 EDT
(In reply to comment #0)
> Actual results: 
> iptables -nL => nothing about ssh

What about 'iptables -L' ?
Comment 2 reescf 2012-09-11 17:26:47 EDT
I think this is the same bug but I'm seeing it on x86_64.

iptables -L shows that no rule has been added to allow ssh even though it has been enabled via system-config-firewall.

I think that what is happening is that system-config-firewall is only adding a rule for ipv6 connections. ip6tables -L shows the ssh rule correctly enabled. Unfortunately, my network does not support ipv6 so the machine is entirely unreachable.

Could you check the output of ip6tables -L to see if the same thing is happening on your platform?

Note: the settings for ipv4 and ipv6 in service options are identical (and default).

I'm wondering if disabling ipv6 would result in a iptables rule being added instead. I need to disable ipv6 anyway...
Comment 3 Fedora End Of Life 2013-07-04 00:09:58 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2013-08-01 08:52:08 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.